Skip to main content

IGuideTag

A tag annotation on an iGUIDE.

colorstring

Tag color. Accepted values: blue, green, red, orange, yellow, purple,

contentstring

Content body supporting Markdown format

globalIdstring

The global ID (immutable)

iconIdstring

The Icon ID of the tag. Identifies which built-in icon to display. The full set of valid Icon IDs evolves over time; fetch the current list from GET /tags/icons (each entry's id is a valid IconId value). See the Tag Icons guide for the full set of icons with previews. Example values: "light", "thermostat", "fire_extinguisher", "photo", "bathroom".

idinteger

The ID of the tag in iGUIDE

iframestring

When set, the value of this property will be used as the URL of an iframe displayed as the content of the tag. The content property will be ignored.

opacitynumber

The opacity of the tag hotspot. Value range: 0 to 100. When set to 0, the tag hotspot is invisible until it is hovered over.

titlestring

Title text displayed on the tag

IGuideTag
{
"color": "string",
"content": "string",
"globalId": "string",
"iconId": "string",
"id": 0,
"iframe": "string",
"opacity": 0,
"title": "string"
}